﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\GPTAS_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_GPTAS_KLGAREA', 'T_GPTAS_KLGAREA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GPTAS_KLGAREA_CREATEORG') CREATE INDEX IDX_T_GPTAS_KLGAREA_CREATEORG ON T_GPTAS_KLGAREA ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GPTAS_KLGAREA_MASTER') CREATE INDEX IDX_T_GPTAS_KLGAREA_MASTER ON T_GPTAS_KLGAREA ( FMASTERID );
 
 
 EXEC P_ALTERPK 'PK_T_GPTAS_KLGAREA_L', 'T_GPTAS_KLGAREA_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GPTAS_KLGAREA_L') CREATE INDEX IDX_GPTAS_KLGAREA_L ON T_GPTAS_KLGAREA_L ( FID ,FLOCALEID );
 
 EXEC P_ALTERPK 'PK_T_GPTAS_KNOWLEDGEROLE', 'T_GPTAS_KNOWLEDGEROLE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GPTAS_KNOWLEDGEROLE') CREATE INDEX IDX_GPTAS_KNOWLEDGEROLE ON T_GPTAS_KNOWLEDGEROLE ( FID );

 
 EXEC P_ALTERPK 'PK_T_GPTAS_KLGALLOCATES', 'T_GPTAS_KLGALLOCATES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GPTAS_KLGALLOCATES_CORG') CREATE INDEX IDX_GPTAS_KLGALLOCATES_CORG ON T_GPTAS_KLGALLOCATES ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GPTAS_KLGALLOCATES_MASTER') CREATE INDEX IDX_GPTAS_KLGALLOCATES_MASTER ON T_GPTAS_KLGALLOCATES ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GPTAS_KLGALLOCATES_AREA') CREATE INDEX IDX_GPTAS_KLGALLOCATES_AREA ON T_GPTAS_KLGALLOCATES ( FKNOWLEDGEAREA );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GPTAS_KLGALLOCATES_GROUP') CREATE INDEX IDX_GPTAS_KLGALLOCATES_GROUP ON T_GPTAS_KLGALLOCATES ( FGROUPID );


 EXEC P_ALTERPK 'PK_T_GPTAS_KLGALLOCATES_L', 'T_GPTAS_KLGALLOCATES_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GPTAS_KLGALLOCATES_L') CREATE INDEX IDX_GPTAS_KLGALLOCATES_L ON T_GPTAS_KLGALLOCATES_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_GPTAS_KLGFILE', 'T_GPTAS_KLGFILE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GPTAS_KLGFILEEID') CREATE INDEX IDX_T_GPTAS_KLGFILEEID ON T_GPTAS_KLGFILE ( FID );


 EXEC P_ALTERPK 'PK_T_GPTAS_KLGGROUPS', 'T_GPTAS_KLGGROUPS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GPTAS_KLGGROUPS_CORG') CREATE INDEX IDX_GPTAS_KLGGROUPS_CORG ON T_GPTAS_KLGGROUPS ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GPTAS_KLGGROUPS_MASTER') CREATE INDEX IDX_GPTAS_KLGGROUPS_MASTER ON T_GPTAS_KLGGROUPS ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GPTAS_KLGGROUPS_AREA') CREATE INDEX IDX_GPTAS_KLGGROUPS_AREA ON T_GPTAS_KLGGROUPS ( FKNOWLEDGEAREA );


 EXEC P_ALTERPK 'PK_T_GPTAS_KLGGROUPS_L', 'T_GPTAS_KLGGROUPS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GPTAS_KLGGROUPS_L') CREATE INDEX IDX_GPTAS_KLGGROUPS_L ON T_GPTAS_KLGGROUPS_L ( FID ,FLOCALEID );



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\GPTAS_constraint.sql **/
